Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.gen
Class CodemapGenerator

    java.lang.Object
      avrora.core.isdl.gen.CodemapGenerator

All Implemented Interfaces:
  Architecture.InstrVisitor

public class CodemapGenerator
extends java.lang.Object
implements Architecture.InstrVisitor

Nested Class Summary
`protected class` | `CodemapGenerator.ExprGenerator`
`protected class` | `CodemapGenerator.StmtGenerator`

Field Summary
`protected int` | `biggestList`
`CodemapGenerator.ExprGenerator` | `egen`
`CodemapGenerator.StmtGenerator` | `sgen`

Constructor Summary
`CodemapGenerator(Architecture a, Printer p)`

Method Summary
`void` | `generate()`
`protected java.lang.String` | `generateBlock(java.util.List stmts, java.lang.String comment)`
`protected void` | `generateExprList(java.util.List exprs)`
`protected void` | `generateHelperMethods()`
`void` | `initializeRegisterMap()`
`void` | `visit(InstrDecl d)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### egen

    public final CodemapGenerator.ExprGenerator egen

### sgen

    public final CodemapGenerator.StmtGenerator sgen

### biggestList

    protected int biggestList

Constructor Detail

### CodemapGenerator

    public CodemapGenerator(Architecture a,
                            Printer p)

Method Detail

### generate

    public void generate()

### initializeRegisterMap

    public void initializeRegisterMap()

### visit

    public void visit(InstrDecl d)

  Specified by:
    `visit` in interface `Architecture.InstrVisitor`

### generateBlock

    protected java.lang.String generateBlock(java.util.List stmts,
                                             java.lang.String comment)

### generateHelperMethods

    protected void generateHelperMethods()

### generateExprList

    protected void generateExprList(java.util.List exprs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD